CodeSign Secure Documentation
  • Overview
    • About CodeSign Secure
    • Getting Started
    • Documentation Guide
    • Portal Overview
    • Troubleshooting
      • FAQ
    • Glossary
  • Reference Guide
    • Header Bar
      • CodeSign Secure Documentation
      • Swagger API
      • Profile Section
    • Dashboard
      • Key Performance Indicators
      • Issued Certificates
      • Signatures Generated
      • HSM Health Check
    • Keys and Certificates
      • Key and Certificate Lifecycle
    • App Management
    • Signing Requests
      • Approval Workflows
    • Signing Tools
    • Reports
      • Signing Request Report
      • Audit Trail
      • Certificate Report
      • Client Report
    • Logs
    • System Setup
      • Identity Store
      • Backup
      • User
      • Roles and Permissions
      • Email
      • Signing Projects
      • SSL/TLS Management
      • Environment
      • Plugins
  • Setup & Architecture
    • Identity and Access Control
    • Architecture and Concepts
    • Installation
      • Windows
        • Installing the Server
        • Ports and Protocols
        • High Availability and Backup
        • Upgrades and Compatibility
    • Security
      • Security Hardening Checklist
      • Client Authentication
      • Designing Signing Policies
  • Release Notes
    • Releases for 2026
      • v3.2.1
    • Releases for 2025
      • v3.2.0
    • Releases for 2024
      • v3.1.0
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Signing
      • Signing Requests
      • Certificates
      • Applications and Environments
      • User Management
      • Permissions
      • Email
      • System Setup
      • Reports
      • Dashboard
      • License
  • Integration Guides
    • Signing Capabilities
      • Supported Formats and Platforms
      • Timestamping
      • Windows Signing - SignTool
        • Signing
        • Macro Signing
      • Apple Signing
      • AppX & MSIX Signing
      • Visual Studio ClickOnce
      • Jar Signing
      • Sign HLK/HCK using CodeSign Secure
      • NuGet Signing
      • Mage Signing
      • Sign OVA/OVF using Encryption Consulting’s Utility Tool
      • Utility Tool for code signing
      • Container Signing
      • PKCS11 Wrapper
        • APK Signing
        • OpenSSL Signing
        • XML Signing
        • JSign Tool Signing
        • Jarsigner Signing
        • GPG2, Debian & RPM Signing
      • Reproducible Build
        • Automated Hash Validation
        • Reproducible Build Process Flow
        • Pipeline Script Components
        • Hash Validation
    • CI/CD Integration
      • GitHub Actions
      • Jenkins
      • GitLab
      • Azure DevOps
      • TeamCity
      • Bamboo
      • Securing CI/CD Credentials

Getting Started

Use the CodeSign Secure REST API to automate signing-related tasks. This page covers the basics and a first request; the Swagger page on your server lists every endpoint for your version.

Basics
ItemValue
Base URLhttps://<your domain>/api/
TransportHTTPS on TCP 443 by default. The port can be changed to another HTTPS port, such as 8443.
FormatJSON requests and responses (Content-Type: application/json)
AuthenticationA Bearer token generated on the Swagger API page, sent as Authorization: Bearer <token>
Interactive referenceSwagger API in the header bar of the portal
API version3.02

Note: The user that calls the API needs a role with the API Access permission. See Roles and Permissions.

Examples
curl
# Token copied from "Generate a Bearer token" on the Swagger API page
TOKEN='<your token>'

curl -s "https://codesign.example.com/api/certificate_manage/certificate_names" \
  -H "Authorization: Bearer $TOKEN"
PowerShell
$token   = '<your token>'   # from "Generate a Bearer token" on the Swagger API page
$headers = @{ Authorization = "Bearer $token" }
Invoke-RestMethod -Uri "https://codesign.example.com/api/certificate_manage/certificate_names" -Headers $headers
Next steps
  • Get a token: Authorizing Requests.

  • Check headers, responses, and status codes: Request and Response Conventions.

  • Find an endpoint: Endpoint Reference.

On this Page:
Support Privacy Policy Terms of Service

Copyright Encryption Consulting LLC. All rights reserved.